//Eigenfrequenz des Schwingungssystems ohne Tilger:
m1 = 3;
C1 = 27;

//x''=-(C1/m)x =>
//y=[x,v]
//           | 0       1 |
// dy/dt =   |           | y
//           | -C1/m1  0 |

A = [[0,1];[-C1/m1,0]]

eigenwerte = spec(A)

//Ergebnis: Eigenfrequenz omega=3/s

//Auslegung des Tilgers mit der gleichen Eigenfrequenz:

//           | 0       1      |
// dy/dt =   |                | y
//           | -C2/m2  -D2/m2 |
m2 = 1;
C2 = 13;
//Handrechnung, wenn gleiche Eigenfrequenz verlangt wird liefert:
D2 = 4;
//Probe:

A2 = [[0,1];[-C2/m2,-D2/m2]]

spec(A2)



