m1 = 3;
C1 = 27;

m2 = 1;
C2 = 13;
D2 = 4;

//Modell des Gesamtsystems, wobei gilt:
//y = [x1,v1,x2,v2]'
function f = rechteSeite(t,y)
    f(1,1) =                                  y(2,1);
    f(2,1) = (-C1/m1-C2/m1)*y(1,1) + (-D2/m1)*y(2,1) + ( C2/m1)*y(3,1) + ( D2/m1)*y(4,1);
    f(3,1) =                                                                      y(4,1);
    f(4,1) =        (C2/m2)*y(1,1) + ( D2/m2)*y(2,1) + (-C2/m2)*y(3,1) + (-D2/m2)*y(4,1);
endfunction

t=0:0.05:10;

y0 = [0.5,0,0,0]';
t0=0;

y = ode(y0,t0,t,rechteSeite);

plot(t,y(1,:));




